/*
 * Copyright (c) eHealth
 */
package be.ehealth.businessconnector.chapterIV.builders;

import java.util.List;

import org.junit.Assert;
import org.junit.Test;

import be.ehealth.businessconnector.chapterIV.builders.impl.GenericKmehrBuilder;
import be.fgov.ehealth.standards.kmehr.schema.v1.HcpartyType;


/**
 * Unit testing the ConsultationBuilder
 * 
 * @author EHP
 * 
 */
public class GenericKmehrBuilderTest extends AbstractBuilderTest {

    /**
     * Check if hcparties are returnerd for Sender
     * 
     * @throws Exception
     */
    @Test
    public final void testGenerateHcPartiesForSender() throws Exception {
        GenericKmehrBuilder genKmehrBuilder = new GenericKmehrBuilder();
        List<HcpartyType> list = genKmehrBuilder.generateHcPartiesForSender();

        Assert.assertTrue(list.size() > 0);

    }

    /**
     * Check if hcparties are returnerd for transaction author
     * 
     * @throws Exception
     */
    @Test
    public final void testGenerateHcPartiesForTransactionAuthor() throws Exception {
        GenericKmehrBuilder genKmehrBuilder = new GenericKmehrBuilder();
        List<HcpartyType> list = genKmehrBuilder.generateHcPartiesForTransactionAuthor();

        Assert.assertTrue(list.size() > 0);

    }
}
